curl --request POST \
--url https://dev.intermezzo.ai/gb/wage-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wageTypeCode": "<string>",
"name": "<string>",
"category": "earnings",
"description": "<string>",
"validFrom": "2023-12-25",
"taxableStatus": "yes",
"taxTiming": "on_payment",
"niClass": "class_1",
"p11DReportableStatus": "yes",
"pensionStatus": "scheme_defined",
"payrollingEligibleStatus": "yes"
}
'{
"id": 123,
"wageTypeCode": "<string>",
"name": "<string>",
"category": "earnings",
"description": "<string>",
"status": "draft",
"taxableStatus": "yes",
"taxTiming": "on_payment",
"rtiPaymentType": "<string>",
"niClass": "class_1",
"niEmployeeApplies": true,
"niEmployerTreatment": "secondary",
"isClass1AApplicable": true,
"p11DReportableStatus": "yes",
"pensionStatus": "scheme_defined",
"isAeQualifying": true,
"usesAeBands": true,
"isHolidayPayIncluded": true,
"isSalarySacrificeAllowed": true,
"isNmwGuardRequired": true,
"opraRule": "yes",
"payrollingEligibleStatus": "yes",
"usesOfficialInterestRate": true,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"calculationVariants": [
"<string>"
],
"thresholds": {},
"regularityWindowWeeks": 123,
"regularityThresholdPeriods": 123,
"legislativeSource": "<string>",
"owner": "<string>",
"reviewer": "<string>",
"lastReviewedAt": "2023-12-25"
}Create a new wage type (draft status). Requires write:wage_types scope.
curl --request POST \
--url https://dev.intermezzo.ai/gb/wage-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wageTypeCode": "<string>",
"name": "<string>",
"category": "earnings",
"description": "<string>",
"validFrom": "2023-12-25",
"taxableStatus": "yes",
"taxTiming": "on_payment",
"niClass": "class_1",
"p11DReportableStatus": "yes",
"pensionStatus": "scheme_defined",
"payrollingEligibleStatus": "yes"
}
'{
"id": 123,
"wageTypeCode": "<string>",
"name": "<string>",
"category": "earnings",
"description": "<string>",
"status": "draft",
"taxableStatus": "yes",
"taxTiming": "on_payment",
"rtiPaymentType": "<string>",
"niClass": "class_1",
"niEmployeeApplies": true,
"niEmployerTreatment": "secondary",
"isClass1AApplicable": true,
"p11DReportableStatus": "yes",
"pensionStatus": "scheme_defined",
"isAeQualifying": true,
"usesAeBands": true,
"isHolidayPayIncluded": true,
"isSalarySacrificeAllowed": true,
"isNmwGuardRequired": true,
"opraRule": "yes",
"payrollingEligibleStatus": "yes",
"usesOfficialInterestRate": true,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"calculationVariants": [
"<string>"
],
"thresholds": {},
"regularityWindowWeeks": 123,
"regularityThresholdPeriods": 123,
"legislativeSource": "<string>",
"owner": "<string>",
"reviewer": "<string>",
"lastReviewedAt": "2023-12-25"
}Get token from Auth0 and paste it here
Request schema for creating a new GB wage type.
Business key (e.g., UK-E-025)
Display name
Wage type category
earnings, deductions, benefits, statutory, pension, contributions, adjustments, reimbursements Description of the wage type
Date when this version becomes effective
Whether taxable under PAYE
yes, no, conditional When tax is applied
on_payment, on_accrual, on_event National Insurance class
class_1, class_1a, none, conditional P11D reporting requirement
yes, no, conditional Pension inclusion status
scheme_defined, yes, no Can be payrolled
yes, no, conditional RTI FPS payment type mapping
Whether employee NI applies
Employer NI treatment
secondary, class_1a, none Whether Class 1A NI applies
Counts towards AE qualifying earnings
Uses AE earnings bands
Include in holiday pay calculation
Can be salary sacrificed
Requires NMW compliance check
Optional Remuneration Arrangement rule
yes, no, n/a Uses HMRC official interest rate
Calculation method variants
Applicable thresholds
Regularity detection window in weeks
Regularity threshold periods
Legislative reference
Successful Response
Response schema for GB wage type.
Database ID
Business key (e.g., UK-E-003)
Display name
Wage type category
earnings, deductions, benefits, statutory, pension, contributions, adjustments, reimbursements Description of the wage type
Lifecycle status
draft, approved, deprecated Whether taxable under PAYE
yes, no, conditional When tax is applied
on_payment, on_accrual, on_event RTI FPS payment type mapping
National Insurance class
class_1, class_1a, none, conditional Whether employee NI applies
Employer NI treatment
secondary, class_1a, none Whether Class 1A NI applies
P11D reporting requirement
yes, no, conditional Pension inclusion status
scheme_defined, yes, no Counts towards AE qualifying earnings
Uses AE earnings bands
Include in holiday pay calculation
Can be salary sacrificed
Requires NMW compliance check
Optional Remuneration Arrangement rule
yes, no, n/a Can be payrolled
yes, no, conditional Uses HMRC official interest rate
Calculation method variants
Applicable thresholds
Regularity detection window in weeks
Regularity threshold periods
Legislative reference
Responsible owner
Compliance reviewer
Last review date
Was this page helpful?